Name:           img2pdf
Version:        0.6.0
Release:        %mkrel 1
Summary:        Losslessly convert raster images to PDF
Group:          Publishing
License:        LGPLv3
URL:            https://gitlab.mister-muffin.de/josch/img2pdf
Source0:        https://files.pythonhosted.org/packages/source/i/%{name}/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  imagemagick
BuildRequires:  poppler
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(numpy)
BuildRequires:  python3dist(scipy)

%description
Python 3 library and command line utility img2pdf for losslessly converting
a bunch of image files into a PDF file. That means that the images
are either inserted into the PDF as-is or they are recompressed using
lossless compression. Thus, img2pdf usually runs faster and may yield
smaller PDF files than an ImageMagick convert command.
The img2pdf command complements the pdfimages command.

%prep
%setup -q

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{name} jp2

%check
%pytest -k '(test_general or test_layout) and not animation.gif'

%files -f %{pyproject_files}
%doc CHANGES.rst README.md
%license LICENSE
%{_bindir}/%{name}
%{_bindir}/%{name}-gui


%changelog
* Mon Feb 17 2025 daviddavid <daviddavid> 0.6.0-1.mga10
+ Revision: 2149137
- new version: 0.6.0

* Sun Dec 22 2024 papoteur <papoteur> 0.5.1-4.mga10
+ Revision: 2128765
- add and use pytest

* Sun Dec 22 2024 daviddavid <daviddavid> 0.5.1-3.mga10
+ Revision: 2128700
- fix FTBFS with new setuptools

* Tue Dec 26 2023 daviddavid <daviddavid> 0.5.1-2.mga10
+ Revision: 2021538
- rebuild for py3.12

* Wed Nov 29 2023 daviddavid <daviddavid> 0.5.1-1.mga10
+ Revision: 2010986
- new version: 0.5.1
- switch to pyproject

* Sun Nov 06 2022 daviddavid <daviddavid> 0.4.4-1.mga9
+ Revision: 1903935
- new version: 0.4.4

* Wed Apr 06 2022 umeabot <umeabot> 0.4.0-3.mga9
+ Revision: 1846147
- Mageia 9 Mass Rebuild

* Sat Mar 20 2021 daviddavid <daviddavid> 0.4.0-2.mga9
+ Revision: 1705261
- rebuild for python 3.9

* Fri Aug 28 2020 daviddavid <daviddavid> 0.4.0-1.mga8
+ Revision: 1619329
- new version: 0.4.0

* Thu Jul 16 2020 daviddavid <daviddavid> 0.3.6-1.mga8
+ Revision: 1606616
- initial package img2pdf

